commit:     00404d295fd74b2509002563d851c5e15d11213f
Author:     Joerg Bornkessel <hd_brummy <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 24 20:23:13 2021 +0000
Commit:     Jörg Bornkessel <hd_brummy <AT> gentoo <DOT> org>
CommitDate: Wed Mar 24 20:23:13 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=00404d29

media-plugins/vdr-graphlcd: llvm/clang compile fixed

Closes: https://bugs.gentoo.org/740296
Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: Joerg Bornkessel <hd_brummy <AT> gentoo.org>

 ...aphlcd-1.0.1-r1.ebuild => vdr-graphlcd-1.0.1-r2.ebuild} | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

diff --git a/media-plugins/vdr-graphlcd/vdr-graphlcd-1.0.1-r1.ebuild 
b/media-plugins/vdr-graphlcd/vdr-graphlcd-1.0.1-r2.ebuild
similarity index 87%
rename from media-plugins/vdr-graphlcd/vdr-graphlcd-1.0.1-r1.ebuild
rename to media-plugins/vdr-graphlcd/vdr-graphlcd-1.0.1-r2.ebuild
index bdaa50b4841..d17c604261c 100644
--- a/media-plugins/vdr-graphlcd/vdr-graphlcd-1.0.1-r1.ebuild
+++ b/media-plugins/vdr-graphlcd/vdr-graphlcd-1.0.1-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -45,13 +45,17 @@ pkg_setup() {
 src_prepare() {
        vdr-plugin-2_src_prepare
 
-       sed -i "s:/usr/local:/usr:" Makefile || die
-       sed -i "s:i18n.c:i18n.h:g" Makefile || die
-       sed -i "s:include \$(VDRDIR)/Make.global:-include 
\$(VDRDIR)/Make.global:" Makefile || die
+       sed -e "s:/usr/local:/usr:" \
+               -e "s:i18n.c:i18n.h:g" \
+               -e "s:include \$(VDRDIR)/Make.global:-include 
\$(VDRDIR)/Make.global:" \
+               -i Makefile || die
 
-       sed -i "s:SKIP_INSTALL_DOC ?= 0:SKIP_INSTALL_DOC ?= 1:" Makefile || die
+       sed -e "s:SKIP_INSTALL_DOC ?= 0:SKIP_INSTALL_DOC ?= 1:" -i Makefile || 
die
 
        eapply "${FILESDIR}/${P}_no-font.patch"
+
+       # bug 740296
+       sed -e "s:\"PLUGIN_GRAPHLCDCONF:\" PLUGIN_GRAPHLCDCONF:" -i plugin.c || 
die
 }
 
 src_install() {

Reply via email to